var ye = Object.defineProperty;
var ve = (n, e, t) => e in n ? ye(n, e, { enumerable: !0, configurable: !0, writable: !0, value: t }) : n[e] = t;
var l = (n, e, t) => (ve(n, typeof e != "symbol" ? e + "" : e, t), t);
import { reactive as P, ref as F, defineComponent as q, nextTick as xe, resolveComponent as p, withDirectives as G, openBlock as c, createBlock as f, withCtx as i, createElementVNode as R, renderSlot as _, createVNode as v, unref as r, withKeys as ie, createElementBlock as B, Fragment as I, renderList as L, resolveDynamicComponent as de, mergeProps as Y, vShow as Se, resolveDirective as se, createTextVNode as j, computed as te, createCommentVNode as Q, toDisplayString as J, createSlots as Fe, normalizeProps as Z, guardReactiveProps as ee, watch as fe, isRef as Ee, onMounted as De, withModifiers as ce } from "vue";
import { ElMessageBox as me, ElMessage as we } from "element-plus";
import { useRoute as $e } from "vue-router";
const K = class {
  // 私有的构造方法，无法使用new创建
  constructor(e) {
    /** 组件配置 */
    l(this, "componentConfig");
    /** 数据存储 */
    l(this, "dataStorage");
    /** 方法 */
    l(this, "crudFunction");
    /** 存储注册组件时，传入的配置对象 */
    l(this, "InitConfig");
    e && (this.InitConfig = e);
  }
  /** 获取实例容器 */
  static getCrudCtx() {
    return K.instance || (K.instance = new K()), K.instance;
  }
  /**
   * 根据每个页面的Props进行初始化所有参数
   * @param props 组件Props
   */
  InitializationProps(e) {
    this.componentConfig = new Me(this.InitConfig, e), this.dataStorage = new Oe(this.componentConfig);
  }
  /**
   * 初始化操作函数，根据props创建新的CrudFunction实例
   * @param extendedMethods 扩展CrudFunction的方法包含重写方法的对象
   */
  InitFunction(e) {
    const t = new He();
    Object.keys(e).length === 0 && e.constructor === Object || Object.assign(t, e), this.crudFunction = t;
  }
  /** Debug方法 */
  CrudDebug(...e) {
    this.componentConfig.debug && console.info("%c【DeBug】", "color:red", ...e);
  }
};
let N = K;
// 单实例容器
l(N, "instance"), /** 组件注册时，使用传入的 Config全局配置 进行初始化 */
l(N, "InitGlobalConfig", (e) => {
  K.instance = new K(e);
});
function oe(n) {
  if (typeof n != "object" || n === null)
    return n;
  if (Array.isArray(n))
    return n.map((t) => oe(t));
  const e = {};
  for (const t in n)
    Object.prototype.hasOwnProperty.call(n, t) && (e[t] = oe(n[t]));
  return e;
}
function Pe(n) {
  const e = {};
  for (const [t, o] of Object.entries(n))
    o !== "" && o !== null && !Object.is(o, NaN) ? e[t] = typeof o == "string" ? o.trim() : o : e[t] = void 0;
  return e;
}
function le(n, e) {
  let t = {};
  return typeof e == "string" ? t[e] = n[e] : e.forEach((o) => {
    t[o] = n[o];
  }), t;
}
function Ae(n, e) {
  let t = {};
  return Object.getOwnPropertyNames(e).forEach((u) => {
    n[u] !== e[u] && (t[u] = e[u]);
  }), t;
}
function ke(n, e) {
  const t = {};
  return Object.keys(e).forEach((o) => {
    n.hasOwnProperty(o) && (t[o] = e[o]);
  }), t;
}
class Me {
  constructor(e, t) {
    /** 调试模式 @default false */
    l(this, "debug");
    /** 请求对象配置 @default axios.create() */
    l(this, "axiosService");
    /** 数据加载完成后是否立即查询 */
    l(this, "isAfterMountQuery");
    /** Props的参数 */
    l(this, "PropsStore", P({}));
    /** source数据元素拆分 */
    l(this, "ElementArrs", P({ filter: {}, editor: {}, column: {}, expand: {}, columns: {} }));
    /** 初始化搜索表单的值 */
    l(this, "initSearchModel", P({}));
    /** 初始化编辑表单的值 */
    l(this, "initEditModel", P({}));
    /** 要展示的表格列 */
    l(this, "tableColumn", P({}));
    /** 搜索/新增/编辑的表单状态 */
    l(this, "FormStore", P({
      /** 显示搜索表单 */
      isShowSearchForm: !0,
      /** 是查询中或者提交中 */
      isLoading: !1,
      /** 表单Label宽度 */
      labelWidth: 120,
      /** 表单抽屉的大小 */
      drawerSize: 500
    }));
    /** Table区域的状态 */
    l(this, "TableStore", P({
      /** 表格高度 */
      tableHeight: 500,
      /** 开启多选 */
      isOpenMultipleSelection: !1,
      /** 开启展开行 */
      isOpenExpand: !1,
      /** 展开行数量 */
      expandColumn: 4,
      /** 开启索引 */
      isOpenIndex: !1,
      /** 显示菜单栏 */
      isShowMenu: !0,
      /** 菜单栏对齐 */
      menuAlign: "left",
      /** 菜单栏宽度 */
      menuWidth: 200,
      /** 加载状态 */
      loading: !1
    }));
    /** 页码状态存储 */
    l(this, "PageStore", P({
      /** 当前页 */
      current: 1,
      /** 分页大小 */
      pageSize: 10,
      /** 总页数 */
      total: 0,
      /** 每页显示个数选择器的选项设置 */
      pageSizes: [10, 20, 50, 100],
      /** 组件布局，子组件名用逗号分隔 */
      layout: "->,total, sizes, prev, pager, next, jumper",
      /** 只有一页时隐藏分页 */
      isHideOnSinglePage: !1
    }));
    /** 权限字段映射[显示状态控制]（Crud的按钮权限 与 使用时传入的已拥有的权限 做比较） */
    l(this, "PermissionNames", P({
      add: "add",
      edit: "edit",
      delete: "delete",
      deleteFlag: "deleteFlag"
    }));
    /** 拥有的权限 */
    l(this, "Permissions");
    /** API接口路由名称 */
    l(this, "ApiRouteNames", P({
      query: "query",
      add: "add",
      edit: "edit",
      delete: "delete",
      deleteFlag: "deleteFlag"
    }));
    /** 根据BaseUrl、ApiEndpoints生成的具体接口 */
    l(this, "ApiNames", P({
      query: "baseUrl/query",
      add: "baseUrl/add",
      edit: "baseUrl/edit",
      delete: "baseUrl/delete",
      deleteFlag: "baseUrl/deleteFlag"
    }));
    if (Object.getOwnPropertyNames(e).length !== 0) {
      const { debug: o, axiosService: u, isAfterMountQuery: a, FormStore: s, TableStore: C, PageStore: g, PermissionNames: d, ApiRouteNames: m } = e;
      this.debug = o === void 0 ? !1 : o, this.axiosService = u, this.isAfterMountQuery = a === void 0 ? !0 : a, Object.assign(this.FormStore, s), Object.assign(this.TableStore, C), Object.assign(this.PageStore, g), Object.assign(this.PermissionNames, d), Object.assign(this.ApiRouteNames, m);
    }
    if (Object.getOwnPropertyNames(t).length !== 0) {
      Object.assign(this.PropsStore, t);
      const { source: o, Permissions: u = [], debug: a, axiosService: s, isAfterMountQuery: C, FormStore: g, TableStore: d, PageStore: m, PermissionNames: x, ApiRouteNames: A } = this.PropsStore;
      this.InitApiNames(), this.InitElementArrs(o), this.Permissions = u, this.debug = a === void 0 ? this.debug : a, this.axiosService = s === void 0 ? this.axiosService : s, this.isAfterMountQuery = C === void 0 ? this.isAfterMountQuery : C, Object.assign(this.FormStore, g), Object.assign(this.TableStore, d), Object.assign(this.PageStore, m), Object.assign(this.PermissionNames, x), Object.assign(this.ApiRouteNames, A);
    }
  }
  /** 初始化接口全称 */
  InitApiNames() {
    const { url: e } = this.PropsStore, { add: t, edit: o, delete: u, deleteFlag: a, query: s } = this.ApiRouteNames;
    this.ApiNames = {
      add: `/${e}/${t}`,
      edit: `/${e}/${o}`,
      query: `/${e}/${s}`,
      delete: `/${e}/${u}`,
      deleteFlag: `/${e}/${a}`
    };
  }
  /** 初始化表单配置参数 */
  InitElementArrs(e) {
    const { filter: t, editor: o, column: u, expand: a, columns: s } = e;
    this.ElementArrs = {
      filter: {},
      editor: {},
      column: {},
      expand: {},
      columns: {}
    };
    const C = {}, g = {};
    for (const d of t) {
      const m = s[d];
      m ? (C[d] = m.searchDefaultValue, this.ElementArrs.filter[d] = m) : console.error(`columns 中不存在参数：${d}`);
    }
    Object.assign(this.initSearchModel, oe(C));
    for (const d of o) {
      const m = s[d];
      m ? (g[d] = m.addDefaultValue, this.ElementArrs.editor[d] = m) : console.error(`columns 中不存在参数：${d}`);
    }
    if (Object.assign(this.initEditModel, oe(g)), a)
      for (const d of a) {
        const m = s[d];
        m ? this.ElementArrs.expand[d] = m : console.error(`columns 中不存在参数：${d}`);
      }
    for (const d of u) {
      const m = s[d];
      this.ElementArrs.column[d] = m;
    }
    this.ElementArrs.columns = s;
  }
}
class Oe {
  constructor(e) {
    l(this, "CrudRef", {
      SearchFormRef: F(),
      EditFormRef: F()
    });
    /** 路由传参的值 */
    l(this, "searchFormValue", P({}));
    /** 搜索表单的值 */
    l(this, "searchModel", P({}));
    /** 原始编辑表单的值 */
    l(this, "editFormValue", P({}));
    /** 编辑表单的值 */
    l(this, "editModel", P({}));
    /** 表格的数据 */
    l(this, "tableData", F([]));
    /**存储原始数据 */
    l(this, "originalData", F([]));
    /** 抽屉操作模式：add、edit */
    l(this, "Mode", F(""));
    /** 抽屉显示状态 */
    l(this, "drawerVisible", F(!1));
    /** 多选选中的数据 */
    l(this, "multipleSelection", F([]));
    /**上传的文件暂存 */
    l(this, "uploadFiles", F([]));
    Object.assign(this.searchModel, e.initSearchModel), Object.assign(this.editModel, e.initEditModel);
  }
}
class He {
  /** 初始化 */
  constructor() {
    /** 请求方法 */
    l(this, "request");
    /** 获取容器实例 */
    l(this, "CrudCtx", () => N.getCrudCtx());
    /** 查询之前，从dataStorage中取出数据，处理成接口所需要的属性，并返回出来 */
    l(this, "beforeQueryHandler", ({ CrudCtx: e, Data: t }) => (this.CrudCtx().CrudDebug(`【查询之前】
`, `表格开启加载状态, 对参数的空值处理为undefined
`), this.CrudCtx().componentConfig.TableStore.loading = !0, { ...Pe(t) }));
    l(this, "query", () => {
      this.CrudCtx().CrudDebug(`【开始查询】
`, "把查询参数传给【查询之前】进行数据处理");
      const e = this.beforeQueryHandler({ CrudCtx: this.CrudCtx(), Data: this.CrudCtx().dataStorage.searchModel });
      e === !1 || typeof e == "boolean" || (this.CrudCtx().CrudDebug(`【查询中】
`, `使用Data进行查询, 在finally中关闭表格加载
`, "把查询后的值传给【查询之后】进行数据处理", { Data: e }), this.request({
        url: this.CrudCtx().componentConfig.ApiNames.query,
        method: "post",
        data: {
          pagenum: this.CrudCtx().componentConfig.PageStore.current,
          pagesize: this.CrudCtx().componentConfig.PageStore.pageSize,
          ...e
        }
      }).then((t) => {
        this.afterQueryHandler(t);
      }).finally(() => {
        this.CrudCtx().componentConfig.TableStore.loading = !1;
      }));
    });
    /** 查询之后 */
    l(this, "afterQueryHandler", (e) => {
      this.CrudCtx().CrudDebug(`【查询之后】
`, `把查询到的数据、分页信息进行赋值
`, { ResData: e });
      const {
        data: t,
        page: { pageNum: o, pageSize: u, total: a }
      } = e;
      this.CrudCtx().dataStorage.originalData.value = t, this.CrudCtx().dataStorage.tableData.value = t, Object.assign(this.CrudCtx().componentConfig.PageStore, { current: o, pageSize: u, total: a });
    });
    /** 点击新增之前 */
    l(this, "beforeAddHandler", ({ CrudCtx: e, Data: t }) => (this.CrudCtx().CrudDebug(`【新增之前】
`, "对编辑表单参数进行自定义修改"), !0));
    l(this, "add", () => {
      this.CrudCtx().CrudDebug(`【点击新增】
`, "把初始化的表单编辑参数传给【新增之前】进行数据处理");
      const e = this.CrudCtx().dataStorage.editModel;
      this.beforeAddHandler({ CrudCtx: this.CrudCtx(), Data: e }) && (this.CrudCtx().CrudDebug(`【新增中】
`, "无操作，如果【新增之前】放行了就直接是【新增之后】", { Data: e }), this.afterAddHandler());
    });
    /** 点击新增之后 */
    l(this, "afterAddHandler", () => {
      this.CrudCtx().CrudDebug(`【新增之后】
`, "设置标题为新增，打开抽屉"), this.CrudCtx().dataStorage.Mode.value = "add", this.CrudCtx().dataStorage.drawerVisible.value = !0;
    });
    /** 点击编辑之前 */
    l(this, "beforeEditHandler", ({ CrudCtx: e, Data: t, row: o }) => (this.CrudCtx().CrudDebug(`【编辑之前】
`, `对编辑表单参数进行自定义修改
`), !0));
    l(this, "edit", (e) => {
      this.CrudCtx().CrudDebug(`【点击编辑】
`, `把当前点击行数据赋值到editModel, 并保存一份到editFormValue
`);
      const t = ke(this.CrudCtx().dataStorage.editModel, e);
      Object.assign(this.CrudCtx().dataStorage.editFormValue, t);
      const o = Object.assign(this.CrudCtx().dataStorage.editModel, t);
      this.beforeEditHandler({ CrudCtx: this.CrudCtx(), Data: o, row: e }) && (this.CrudCtx().CrudDebug(`【编辑中】
`, "无操作，如果【编辑之前】放行了就直接是【编辑之后】", { Data: o }), this.afterEditHandler());
    });
    /** 点击编辑之后 */
    l(this, "afterEditHandler", () => {
      this.CrudCtx().CrudDebug(`【编辑之后】
`, "设置标题为编辑，打开抽屉"), this.CrudCtx().dataStorage.Mode.value = "edit", this.CrudCtx().dataStorage.drawerVisible.value = !0;
    });
    /** 点击删除之前 */
    l(this, "beforeRemoveHandler", ({ CrudCtx: e, Data: t }) => {
      this.CrudCtx().CrudDebug(`【删除之前】
`, `把Data处理成删除接口所需的样子返回
`);
      const o = this.CrudCtx().componentConfig.PropsStore.rowKeys || this.CrudCtx().componentConfig.PropsStore.rowKey || !1;
      return o ? {
        ...le(t, o),
        row: t
      } : (console.error("错误的rowKey:", this.CrudCtx().componentConfig.PropsStore), !1);
    });
    // 因为delete是保留参数，所有定义成remove
    l(this, "remove", (e) => {
      this.CrudCtx().CrudDebug(`【点击删除】
`, `把当前点击行数据传入删除前钩子进行数据处理操作
`);
      const t = this.beforeRemoveHandler({ CrudCtx: this.CrudCtx(), Data: e });
      t && (this.CrudCtx().CrudDebug(`【删除中】
`, `使用返回的参数发起删除请求
`, { Data: t }), me.confirm("确定要删除这条数据？", "删除数据 提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: !0
      }).then(() => {
        this.request({
          url: this.CrudCtx().componentConfig.ApiNames.delete,
          method: "post",
          data: t
        }).then((o) => {
          this.afterRemoveHandler(o);
        });
      }));
    });
    /** 删除之后 */
    l(this, "afterRemoveHandler", (e) => {
      this.CrudCtx().CrudDebug(`【删除之后】
`, `成功删除后执行刷新函数
`, { ResData: e }), this.query();
    });
    /** 标记删除之前 */
    l(this, "beforeDeleteFlagHandler", ({ CrudCtx: e, Data: t }) => {
      this.CrudCtx().CrudDebug(`【标记删除之前】
`, `把传入的当前点击行数处理标记成删除接口所需的样子返回
`);
      const o = this.CrudCtx().componentConfig.PropsStore.rowKeys || this.CrudCtx().componentConfig.PropsStore.rowKey || !1;
      return o ? {
        ...le(t, o),
        deleteFlag: t.deleteFlag == 0 ? 1 : 0,
        row: t
      } : (console.error("错误的rowKey:", this.CrudCtx().componentConfig.PropsStore), !1);
    });
    l(this, "deleteFlag", (e) => {
      this.CrudCtx().CrudDebug(`【点击标记删除】
`, `把当前点击行数据传入删除前钩子进行数据处理操作
`);
      const t = this.beforeDeleteFlagHandler({ CrudCtx: this.CrudCtx(), Data: e });
      t === !1 || typeof t == "boolean" || (this.CrudCtx().CrudDebug(`【标记删除中】
`, `使用返回的参数发起删除请求
`, { Data: t }), me.confirm("确定要修改这条数据的标记状态吗？", "修改数据状态 提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: !0
      }).then(() => {
        this.request({
          url: this.CrudCtx().componentConfig.ApiNames.deleteFlag,
          method: "post",
          data: t
        }).then((o) => {
          this.afterDeleteFlagHandler(o);
        });
      }));
    });
    /** 标记删除之后 */
    l(this, "afterDeleteFlagHandler", (e) => {
      this.CrudCtx().CrudDebug(`【标记删除之后】
`, `成功删除后执行刷新函数
`, e), this.query();
    });
    /** 处理新增/编辑提交事件 */
    l(this, "handleSubmit", async (e) => {
      e && await e.validate((t, o) => {
        t && (this.CrudCtx().dataStorage.Mode.value === "add" ? this.handleAdd() : this.handleEdit());
      });
    });
    /** 新增请求发起之前 */
    l(this, "beforeHandleAddHandler", ({ CrudCtx: e, Data: t }) => (this.CrudCtx().CrudDebug(`【新增请求发起之前】
`, `对表单数据进行自定义处理后返回
`), t));
    l(this, "handleAdd", () => {
      this.CrudCtx().CrudDebug(`【点击发起新增请求】
`, `把当前编辑表单传入新增请求发起之前钩子
`);
      const e = this.beforeHandleAddHandler({ CrudCtx: this.CrudCtx(), Data: this.CrudCtx().dataStorage.editModel });
      e === !1 || typeof e == "boolean" || (this.CrudCtx().CrudDebug(`【发起新增请求中】
`, `使用返回的参数发起请求
`, { Data: e }), this.request({
        url: this.CrudCtx().componentConfig.ApiNames.add,
        method: "post",
        data: e
      }).then((t) => {
        this.afterHandleAddHandler(t);
      }));
    });
    /** 新增请求发起之后 */
    l(this, "afterHandleAddHandler", (e) => {
      this.CrudCtx().CrudDebug(`【新增请求发起之后】
`, `成功后关闭新增表单, 执行刷新操作
`, { ResData: e }), this.cancelForm(), this.query();
    });
    /** 编辑请求发起之前 */
    l(this, "beforeHandleEditHandler", ({ CrudCtx: e, Data: t }) => {
      this.CrudCtx().CrudDebug(`【编辑请求发起之前】
`, `数据编辑表单数据, 只提交修改项, 要有rowKey
`);
      const o = this.CrudCtx().componentConfig.PropsStore.rowKeys || this.CrudCtx().componentConfig.PropsStore.rowKey || !1;
      return o ? {
        ...Ae(this.CrudCtx().dataStorage.editFormValue, t),
        ...le(t, o),
        row: t
      } : (console.error("错误的rowKey:", this.CrudCtx().componentConfig.PropsStore), !1);
    });
    /** 处理表单编辑动作 */
    l(this, "handleEdit", () => {
      this.CrudCtx().CrudDebug(`【点击发起编辑请求】
`, `把当前编辑表单传入编辑请求发起之前钩子
`);
      const e = this.beforeHandleEditHandler({ CrudCtx: this.CrudCtx(), Data: this.CrudCtx().dataStorage.editModel });
      e === !1 || typeof e == "boolean" || (this.CrudCtx().CrudDebug(`【发起编辑请求中】
`, `使用返回的参数发起请求
`, { Data: e }), this.request({
        url: this.CrudCtx().componentConfig.ApiNames.edit,
        method: "post",
        data: e
      }).then((t) => {
        this.afterHandleEditHandler(t);
      }));
    });
    /** 编辑请求发起之后 */
    l(this, "afterHandleEditHandler", (e) => {
      this.CrudCtx().CrudDebug(`【编辑请求发起之后】
`, `成功后关闭编辑表单, 执行刷新操作
`, { ResData: e }), this.cancelForm(), this.query();
    });
    /** 处理新增/编辑重置事件 */
    l(this, "resetForm", (e, t) => {
      this.CrudCtx().CrudDebug(`【处理新增/编辑重置事件】
`, { Mode: e, formEl: t }), t && t.value.resetFields();
    });
    /** 处理新增/编辑取消事件 */
    l(this, "cancelForm", () => {
      this.CrudCtx().CrudDebug(`【处理新增/编辑取消事件】
`, `默认关闭编辑框、重置编辑表单参数
`), this.CrudCtx().dataStorage.drawerVisible.value = !1, Object.assign(this.CrudCtx().dataStorage.editModel, this.CrudCtx().componentConfig.initEditModel);
    });
    this.request = (e) => this.CrudCtx().componentConfig.axiosService.request(e);
  }
}
const Ne = { name: "SearchForm" }, Re = /* @__PURE__ */ q({
  ...Ne,
  setup(n) {
    const e = N.getCrudCtx(), { CrudRef: t, searchFormValue: o, searchModel: u } = e.dataStorage, { FormStore: a, ElementArrs: s } = e.componentConfig, { query: C } = e.crudFunction;
    Object.assign(u, o);
    const g = F();
    return xe(() => {
      t.SearchFormRef.value = g.value;
    }), (d, m) => {
      const x = p("el-form-item"), A = p("el-col"), V = p("el-row"), y = p("el-form"), S = p("el-collapse-transition");
      return G((c(), f(S, null, {
        default: i(() => [
          R("div", null, [
            _(d.$slots, "search-form"),
            v(y, {
              ref_key: "SearchFormRef",
              ref: g,
              model: r(u),
              "label-width": r(a).labelWidth,
              onKeyup: ie(r(C), ["native", "enter"])
            }, {
              default: i(() => [
                v(V, null, {
                  default: i(() => [
                    _(d.$slots, "search-form-top"),
                    (c(!0), B(I, null, L(r(s).filter, (h, w) => (c(), f(A, {
                      span: h.span || 6
                    }, {
                      default: i(() => [
                        v(x, {
                          label: h.label,
                          prop: w
                        }, {
                          default: i(() => [
                            (c(), f(de(`my-${h.type}`), Y({
                              modelValue: r(u)[w],
                              "onUpdate:modelValue": (T) => r(u)[w] = T,
                              clearable: ""
                            }, h.formProps), null, 16, ["modelValue", "onUpdate:modelValue"]))
                          ]),
                          _: 2
                        }, 1032, ["label", "prop"])
                      ]),
                      _: 2
                    }, 1032, ["span"]))), 256)),
                    _(d.$slots, "search-form-bottom")
                  ]),
                  _: 3
                })
              ]),
              _: 3
            }, 8, ["model", "label-width", "onKeyup"])
          ])
        ]),
        _: 3
      }, 512)), [
        [Se, r(a).isShowSearchForm]
      ]);
    };
  }
}), Be = { class: "buttonDiv" }, Ve = { class: "buttonDiv_slot" }, Te = { class: "buttonDiv_slot__left" }, je = { class: "buttonDiv_slot__right" }, qe = { name: "ButtonSole" }, ze = /* @__PURE__ */ q({
  ...qe,
  setup(n) {
    const e = N.getCrudCtx(), { CrudRef: t } = e.dataStorage, { query: o, resetForm: u, add: a } = e.crudFunction, { FormStore: s, Permissions: C, PermissionNames: g } = e.componentConfig;
    return (d, m) => {
      const x = p("el-button"), A = p("el-button-group"), V = se("Auth");
      return c(), B("div", Be, [
        R("div", Ve, [
          R("div", Te, [
            G((c(), f(x, {
              title: "新增",
              type: "primary",
              icon: "plus",
              onClick: r(a)
            }, {
              default: i(() => [
                j("新增")
              ]),
              _: 1
            }, 8, ["onClick"])), [
              [V, { Permissions: r(C), access: [r(g).add] }]
            ]),
            _(d.$slots, "left", {}, void 0, !0)
          ]),
          R("div", je, [
            _(d.$slots, "right", {}, void 0, !0)
          ])
        ]),
        v(A, { class: "buttonDiv_group" }, {
          default: i(() => [
            v(x, {
              title: "查询",
              color: "#67c23a",
              icon: "search",
              onClick: r(o)
            }, null, 8, ["onClick"]),
            v(x, {
              title: "重置",
              color: "#e6a23c",
              icon: "refresh",
              onClick: m[0] || (m[0] = (y) => r(u)("search", r(t).SearchFormRef))
            }),
            v(x, {
              title: "展开/折叠",
              color: "#409eff",
              icon: "expand",
              onClick: m[1] || (m[1] = (y) => r(s).isShowSearchForm = !r(s).isShowSearchForm)
            })
          ]),
          _: 1
        })
      ]);
    };
  }
});
const ne = (n, e) => {
  const t = n.__vccOpts || n;
  for (const [o, u] of e)
    t[o] = u;
  return t;
}, Ie = /* @__PURE__ */ ne(ze, [["__scopeId", "data-v-5a6cb8c6"]]), Ke = { key: 1 }, Ue = { name: "Table" }, Qe = /* @__PURE__ */ q({
  ...Ue,
  emits: ["row-contextmenu"],
  setup(n, { emit: e }) {
    const t = F(), o = N.getCrudCtx(), { TableStore: u, ElementArrs: a, PropsStore: s, PageStore: C, Permissions: g, PermissionNames: d } = o.componentConfig, { tableData: m, multipleSelection: x, searchModel: A } = o.dataStorage, { query: V, edit: y, remove: S, deleteFlag: h } = o.crudFunction, w = te(() => Object.getOwnPropertyNames(a.expand).length !== 0 ? a.expand : a.columns), T = te(() => (C.current - 1) * C.pageSize + 1), H = (E, $, D) => {
      var M;
      if ((M = $.formProps) != null && M.options) {
        const O = $.formProps.options.find((X) => X.value === E[D]);
        return (O == null ? void 0 : O.label) || E[D];
      }
      return E[D];
    }, k = (E, { row: $, column: D }) => {
      const M = {};
      for (const O in E.columnSlot)
        typeof E.columnSlot[O] == "function" ? M[O] = E.columnSlot[O]({
          ...this,
          row: $,
          column: D
        }) : M[O] = E.columnSlot[O];
      return M;
    }, U = (E, $, D, M) => {
      const { label: O } = $;
      navigator.clipboard ? O && (D != null && D.innerText) && navigator.clipboard.writeText(D == null ? void 0 : D.innerText).then(() => {
        we({ type: "success", message: "复制成功！", grouping: !0 });
      }).catch((X) => {
        console.error("写入剪贴板时出错：", X);
      }) : console.warn("该浏览器不支持clipboard API");
    }, re = (E, $, D) => {
      e("row-contextmenu", { row: E, column: $, event: D });
    };
    return (E, $) => {
      const D = p("el-empty"), M = p("el-table-column"), O = p("el-descriptions-item"), X = p("el-descriptions"), he = p("el-input"), ue = p("el-button"), ge = p("el-table"), ae = se("Auth"), be = se("loading");
      return G((c(), f(ge, {
        ref_key: "TableRef",
        ref: t,
        data: r(m),
        rowKey: r(s).rowKey,
        height: E.$attrs.height,
        onCellDblclick: U,
        onSelectionChange: $[2] || ($[2] = (b) => x.value = b),
        onRowContextmenu: re
      }, {
        empty: i(() => [
          v(D, {
            "image-size": 80,
            description: "暂无数据"
          })
        ]),
        default: i(() => [
          r(u).isOpenMultipleSelection ? (c(), f(M, {
            key: 0,
            type: "selection",
            "reserve-selection": "",
            width: 44
          })) : Q("", !0),
          r(u).isOpenExpand ? (c(), f(M, {
            key: 1,
            type: "expand",
            width: 35
          }, {
            default: i((b) => [
              _(E.$slots, "table-expand", { scope: b }, () => [
                v(X, {
                  column: r(u).expandColumn,
                  border: ""
                }, {
                  default: i(() => [
                    (c(!0), B(I, null, L(r(w), (z, W) => (c(), f(O, {
                      key: W,
                      label: z.label
                    }, {
                      default: i(() => [
                        j(J(H(b.row, z, W)), 1)
                      ]),
                      _: 2
                    }, 1032, ["label"]))), 128))
                  ]),
                  _: 2
                }, 1032, ["column"])
              ])
            ]),
            _: 3
          })) : Q("", !0),
          r(u).isOpenIndex ? (c(), f(M, {
            key: 2,
            label: "###",
            width: 55,
            align: "right",
            "show-overflow-tooltip": ""
          }, {
            default: i(({ $index: b }) => [
              j(J(r(T) + b), 1)
            ]),
            _: 1
          })) : Q("", !0),
          (c(!0), B(I, null, L(r(a).column, (b, z) => (c(), f(M, Y({
            key: z,
            align: b.align || "left",
            label: b.label,
            prop: z,
            formatter: (W) => H(W, b, z)
          }, b.tableProps, { "show-overflow-tooltip": "" }), Fe({ _: 2 }, [
            b.columnSlot ? {
              name: "default",
              fn: i(({ row: W, column: _e }) => [
                (c(), f(de(b.columnSlot.is), Z(ee(k(b, { row: W, column: _e }))), null, 16))
              ]),
              key: "0"
            } : void 0
          ]), 1040, ["align", "label", "prop", "formatter"]))), 128)),
          _(E.$slots, "table-column"),
          r(u).isShowMenu ? (c(), f(M, {
            key: 3,
            align: r(u).menuAlign,
            width: r(u).menuWidth
          }, {
            header: i(() => [
              r(s).keyName ? (c(), f(he, {
                key: 0,
                modelValue: r(A)[r(s).keyName],
                "onUpdate:modelValue": $[0] || ($[0] = (b) => r(A)[r(s).keyName] = b),
                placeholder: r(a).filter[r(s).keyName].label + "模糊查找",
                onKeyup: $[1] || ($[1] = ie((b) => r(V)(), ["native", "enter"])),
                clearable: ""
              }, null, 8, ["modelValue", "placeholder"])) : (c(), B("span", Ke, "操作"))
            ]),
            default: i((b) => [
              _(E.$slots, "menu-top", { scope: b }),
              G((c(), f(ue, {
                title: "启用/禁用",
                plain: "",
                type: b.row[r(d).deleteFlag] ? "danger" : "success",
                onClick: (z) => r(h)(b.row)
              }, {
                default: i(() => [
                  j(J(b.row[r(d).deleteFlag] ? "禁用" : "启用"), 1)
                ]),
                _: 2
              }, 1032, ["type", "onClick"])), [
                [ae, { Permissions: r(g), access: [r(d).deleteFlag] }]
              ]),
              b.row[r(d).deleteFlag] === 0 ? (c(), B(I, { key: 0 }, [
                G(v(ue, {
                  title: "编辑",
                  plain: "",
                  type: "primary",
                  icon: "edit",
                  onClick: (z) => r(y)(b.row)
                }, null, 8, ["onClick"]), [
                  [ae, { Permissions: r(g), access: [r(d).edit] }]
                ]),
                G(v(ue, {
                  title: "删除",
                  plain: "",
                  type: "danger",
                  icon: "delete",
                  onClick: (z) => r(S)(b.row)
                }, null, 8, ["onClick"]), [
                  [ae, { Permissions: r(g), access: [r(d).delete] }]
                ])
              ], 64)) : Q("", !0),
              _(E.$slots, "menu-bottom", { scope: b })
            ]),
            _: 3
          }, 8, ["align", "width"])) : Q("", !0)
        ]),
        _: 3
      }, 8, ["data", "rowKey", "height"])), [
        [be, r(u).loading]
      ]);
    };
  }
}), Le = { name: "Pagination" }, We = /* @__PURE__ */ q({
  ...Le,
  setup(n) {
    const e = N.getCrudCtx(), { PageStore: t } = e.componentConfig, { query: o } = e.crudFunction, u = (s) => {
      t.pageSize = s, o();
    }, a = (s) => {
      t.current = s, t.current != null && o();
    };
    return (s, C) => {
      const g = p("el-pagination");
      return c(), f(g, {
        "hide-on-single-page": r(t).isHideOnSinglePage,
        "current-page": r(t).current,
        "page-size": r(t).pageSize,
        "page-sizes": r(t).pageSizes,
        background: "",
        layout: r(t).layout,
        total: r(t).total,
        onSizeChange: u,
        onCurrentChange: a
      }, null, 8, ["hide-on-single-page", "current-page", "page-size", "page-sizes", "layout", "total"]);
    };
  }
}), Ge = { style: { display: "flex", "justify-content": "space-between" } }, Je = { name: "EditForm" }, Ye = /* @__PURE__ */ q({
  ...Je,
  setup(n) {
    const e = N.getCrudCtx(), { resetForm: t, handleSubmit: o, cancelForm: u } = e.crudFunction, { CrudRef: a, editModel: s, drawerVisible: C, Mode: g } = e.dataStorage, { FormStore: d, ElementArrs: m } = e.componentConfig, x = F();
    fe(
      () => x.value,
      (y, S) => {
        y && y !== S && (a.EditFormRef.value = y);
      }
    );
    const A = (y) => typeof y.disabled == "function" ? y.disabled(g.value) : !1, V = te(() => {
      var S;
      let y = {};
      for (const [h, w] of Object.entries(m.editor))
        (((S = w.visible) == null ? void 0 : S.call(w, g.value)) ?? !0) && (y[h] = w);
      return y;
    });
    return (y, S) => {
      const h = p("el-form-item"), w = p("el-form"), T = p("el-button"), H = p("el-drawer");
      return c(), f(H, {
        modelValue: r(C),
        "onUpdate:modelValue": S[3] || (S[3] = (k) => Ee(C) ? C.value = k : null),
        title: r(g) === "add" ? "新增" : "修改",
        size: r(d).drawerSize,
        "destroy-on-close": "",
        "close-on-click-modal": !1,
        "before-close": r(u)
      }, {
        footer: i(() => [
          R("div", Ge, [
            R("div", null, [
              v(T, {
                title: "取消",
                onClick: r(u)
              }, {
                default: i(() => [
                  j("取消")
                ]),
                _: 1
              }, 8, ["onClick"]),
              v(T, {
                title: "重置",
                type: "warning",
                plain: "",
                onClick: S[1] || (S[1] = (k) => r(t)("edit", r(a).EditFormRef))
              }, {
                default: i(() => [
                  j("重置")
                ]),
                _: 1
              })
            ]),
            v(T, {
              title: "提交",
              type: "primary",
              "native-type": "submit",
              onClick: S[2] || (S[2] = (k) => r(o)(r(a).EditFormRef.value))
            }, {
              default: i(() => [
                j("提交")
              ]),
              _: 1
            })
          ])
        ]),
        default: i(() => [
          _(y.$slots, "edit-form", { editModel: r(s) }),
          v(w, {
            ref_key: "EditFormRef",
            ref: x,
            model: r(s),
            "label-width": r(d).labelWidth,
            onKeyup: S[0] || (S[0] = ie((k) => r(o)(r(a).EditFormRef.value), ["native", "enter"]))
          }, {
            default: i(() => [
              _(y.$slots, "edit-form-top", { editModel: r(s) }),
              (c(!0), B(I, null, L(r(V), (k, U) => (c(), f(h, {
                label: k.label,
                prop: U,
                rules: k.rules
              }, {
                default: i(() => [
                  (c(), f(de(`my-${k.type}`), Y({
                    modelValue: r(s)[U],
                    "onUpdate:modelValue": (re) => r(s)[U] = re,
                    clearable: "",
                    disabled: A(k)
                  }, k.formProps), null, 16, ["modelValue", "onUpdate:modelValue", "disabled"]))
                ]),
                _: 2
              }, 1032, ["label", "prop", "rules"]))), 256)),
              _(y.$slots, "edit-form-bottom", { editModel: r(s) })
            ]),
            _: 3
          }, 8, ["model", "label-width"]),
          _(y.$slots, "default")
        ]),
        _: 3
      }, 8, ["modelValue", "title", "size", "before-close"]);
    };
  }
});
function Xe(n) {
  return n && n.__esModule && Object.prototype.hasOwnProperty.call(n, "default") ? n.default : n;
}
var Ce = {};
(function(n) {
  Object.defineProperty(n, "__esModule", { value: !0 });
  var e = {
    name: "zh-cn",
    el: {
      colorpicker: {
        confirm: "确定",
        clear: "清空"
      },
      datepicker: {
        now: "此刻",
        today: "今天",
        cancel: "取消",
        clear: "清空",
        confirm: "确定",
        selectDate: "选择日期",
        selectTime: "选择时间",
        startDate: "开始日期",
        startTime: "开始时间",
        endDate: "结束日期",
        endTime: "结束时间",
        prevYear: "前一年",
        nextYear: "后一年",
        prevMonth: "上个月",
        nextMonth: "下个月",
        year: "年",
        month1: "1 月",
        month2: "2 月",
        month3: "3 月",
        month4: "4 月",
        month5: "5 月",
        month6: "6 月",
        month7: "7 月",
        month8: "8 月",
        month9: "9 月",
        month10: "10 月",
        month11: "11 月",
        month12: "12 月",
        weeks: {
          sun: "日",
          mon: "一",
          tue: "二",
          wed: "三",
          thu: "四",
          fri: "五",
          sat: "六"
        },
        months: {
          jan: "一月",
          feb: "二月",
          mar: "三月",
          apr: "四月",
          may: "五月",
          jun: "六月",
          jul: "七月",
          aug: "八月",
          sep: "九月",
          oct: "十月",
          nov: "十一月",
          dec: "十二月"
        }
      },
      select: {
        loading: "加载中",
        noMatch: "无匹配数据",
        noData: "无数据",
        placeholder: "请选择"
      },
      cascader: {
        noMatch: "无匹配数据",
        loading: "加载中",
        placeholder: "请选择",
        noData: "暂无数据"
      },
      pagination: {
        goto: "前往",
        pagesize: "条/页",
        total: "共 {total} 条",
        pageClassifier: "页",
        page: "页",
        prev: "上一页",
        next: "下一页",
        currentPage: "第 {pager} 页",
        prevPages: "向前 {pager} 页",
        nextPages: "向后 {pager} 页",
        deprecationWarning: "你使用了一些已被废弃的用法，请参考 el-pagination 的官方文档"
      },
      messagebox: {
        title: "提示",
        confirm: "确定",
        cancel: "取消",
        error: "输入的数据不合法!"
      },
      upload: {
        deleteTip: "按 delete 键可删除",
        delete: "删除",
        preview: "查看图片",
        continue: "继续上传"
      },
      table: {
        emptyText: "暂无数据",
        confirmFilter: "筛选",
        resetFilter: "重置",
        clearFilter: "全部",
        sumText: "合计"
      },
      tree: {
        emptyText: "暂无数据"
      },
      transfer: {
        noMatch: "无匹配数据",
        noData: "无数据",
        titles: ["列表 1", "列表 2"],
        filterPlaceholder: "请输入搜索内容",
        noCheckedFormat: "共 {total} 项",
        hasCheckedFormat: "已选 {checked}/{total} 项"
      },
      image: {
        error: "加载失败"
      },
      pageHeader: {
        title: "返回"
      },
      popconfirm: {
        confirmButtonText: "确定",
        cancelButtonText: "取消"
      }
    }
  };
  n.default = e;
})(Ce);
const Ze = /* @__PURE__ */ Xe(Ce), et = { style: { padding: "20px", "background-color": "#fff", "border-radius": "20px" } }, tt = { name: "CrudEl" }, pe = /* @__PURE__ */ q({
  ...tt,
  props: {
    url: null,
    source: null,
    rowKey: null,
    rowKeys: null,
    keyName: null,
    hooks: null,
    debug: null,
    axiosService: null,
    isAfterMountQuery: null,
    FormStore: null,
    TableStore: null,
    PageStore: null,
    PermissionNames: null,
    Permissions: null,
    ApiRouteNames: null,
    ApiNames: null
  },
  emits: ["row-contextmenu"],
  setup(n, { expose: e, emit: t }) {
    const o = n, u = N.getCrudCtx(), a = $e();
    u.InitializationProps(o), u.InitFunction(o.hooks || {});
    const s = F(), C = F(), g = F(), d = F(), { FormStore: m } = u.componentConfig, { query: x } = u.crudFunction, { isAfterMountQuery: A } = u.componentConfig, V = F(0), y = F(0), S = te(() => m.isShowSearchForm ? V.value : y.value);
    u.CrudDebug(`【路由传参】
`, a);
    try {
      if (Object.getOwnPropertyNames(a.params).length !== 0) {
        const h = a.params.data ? JSON.parse(decodeURIComponent(a.params.data)) : {};
        Object.assign(u.dataStorage.searchFormValue, h);
      }
      if (Object.getOwnPropertyNames(a.query).length !== 0) {
        const h = a.query.data ? JSON.parse(decodeURIComponent(a.query.data)) : {};
        Object.assign(u.dataStorage.searchFormValue, h);
      }
    } catch (h) {
      console.error("路由传参处理错误：", h);
    }
    return u.CrudDebug(`【路由传参】
`, u.dataStorage.searchFormValue), De(() => {
      const h = C.value.children[0].style.display;
      C.value.children[0].style.display = "block", V.value = s.value.offsetHeight - 40 - C.value.offsetHeight - g.value.offsetHeight - d.value.offsetHeight, y.value = s.value.offsetHeight - 40 - g.value.offsetHeight - d.value.offsetHeight, C.value.children[0].style.display = h, A && x();
    }), e({ CrudCtx: u }), (h, w) => {
      const T = p("el-config-provider");
      return c(), f(T, { locale: r(Ze) }, {
        default: i(() => [
          R("div", {
            ref_key: "containerDivRef",
            ref: s,
            style: { height: "100%" }
          }, [
            R("div", et, [
              R("div", {
                ref_key: "searchDivRef",
                ref: C
              }, [
                v(Re, null, {
                  "search-form": i(() => [
                    _(h.$slots, "search-form")
                  ]),
                  "search-form-top": i(() => [
                    _(h.$slots, "search-form-top")
                  ]),
                  "search-form-bottom": i(() => [
                    _(h.$slots, "search-form-bottom")
                  ]),
                  _: 3
                })
              ], 512),
              R("div", {
                ref_key: "buttonDivRef",
                ref: g
              }, [
                v(Ie, null, {
                  left: i(() => [
                    _(h.$slots, "button-left")
                  ]),
                  right: i(() => [
                    _(h.$slots, "button-right")
                  ]),
                  _: 3
                })
              ], 512),
              v(Qe, {
                height: r(S),
                onRowContextmenu: w[0] || (w[0] = ({ row: H, column: k, event: U }) => t("row-contextmenu", { row: H, column: k, event: U }, r(u)))
              }, {
                "table-expand": i(({ scope: H }) => [
                  _(h.$slots, "table-expand", { scope: H })
                ]),
                "table-column": i(() => [
                  _(h.$slots, "table-column")
                ]),
                "menu-top": i(({ scope: H }) => [
                  _(h.$slots, "menu-top", { scope: H })
                ]),
                "menu-bottom": i(({ scope: H }) => [
                  _(h.$slots, "menu-bottom", { scope: H })
                ]),
                _: 3
              }, 8, ["height"]),
              R("div", {
                ref_key: "paginationDivRef",
                ref: d
              }, [
                v(We, { style: { "padding-top": "20px" } })
              ], 512),
              v(Ye, null, {
                "edit-form": i(() => [
                  _(h.$slots, "edit-form")
                ]),
                "edit-form-top": i(() => [
                  _(h.$slots, "edit-form-top")
                ]),
                "edit-form-bottom": i(() => [
                  _(h.$slots, "edit-form-bottom")
                ]),
                _: 3
              })
            ])
          ], 512)
        ]),
        _: 3
      }, 8, ["locale"]);
    };
  }
}), ot = {
  mounted(n, e, t) {
    const o = e.value.Permissions, u = e.value.access;
    let a = !1;
    for (let s = 0; s < u.length; s++)
      o.includes(u[s]) && (a = !0);
    a || n.parentNode && n.parentNode.removeChild(n);
  }
}, nt = { name: "MyInput" };
function rt(n, e, t, o, u, a) {
  const s = p("el-input");
  return c(), f(s, Z(ee(n.$attrs)), null, 16);
}
const ut = /* @__PURE__ */ ne(nt, [["render", rt]]), at = { name: "MyInputNumber" };
function lt(n, e, t, o, u, a) {
  const s = p("el-input-number");
  return c(), f(s, Z(ee(n.$attrs)), null, 16);
}
const st = /* @__PURE__ */ ne(at, [["render", lt]]), it = { name: "MySelect" }, dt = /* @__PURE__ */ q({
  ...it,
  props: {
    options: null
  },
  setup(n) {
    return (e, t) => {
      const o = p("el-option"), u = p("el-select");
      return c(), f(u, Y({ style: { width: "100%" } }, e.$attrs), {
        default: i(() => [
          (c(!0), B(I, null, L(n.options, (a) => (c(), f(o, {
            key: a.value,
            label: a.label,
            value: a.value
          }, null, 8, ["label", "value"]))), 128))
        ]),
        _: 1
      }, 16);
    };
  }
}), ct = { name: "MyDatePicker" }, mt = /* @__PURE__ */ q({
  ...ct,
  setup(n) {
    return (e, t) => {
      const o = p("el-date-picker");
      return c(), f(o, Z(ee(e.$attrs)), null, 16);
    };
  }
}), pt = { name: "MyTimePicker" };
function ft(n, e, t, o, u, a) {
  const s = p("el-time-picker");
  return c(), f(s, Z(ee(n.$attrs)), null, 16);
}
const Ct = /* @__PURE__ */ ne(pt, [["render", ft]]), ht = { name: "MyRadioGroup" }, gt = /* @__PURE__ */ q({
  ...ht,
  props: {
    modelValue: null,
    options: null,
    button: { type: Boolean },
    border: { type: Boolean }
  },
  emits: ["update:modelValue"],
  setup(n, { emit: e }) {
    const t = n, o = F(t.modelValue);
    fe(
      () => t.modelValue,
      (a) => {
        o.value = a;
      }
    );
    const u = (a, s) => {
      if (s.disabled)
        return;
      const C = o.value === a ? void 0 : a;
      e("update:modelValue", C);
    };
    return (a, s) => {
      const C = p("el-radio-button"), g = p("el-radio"), d = p("el-radio-group");
      return c(), f(d, Y({
        modelValue: o.value,
        "onUpdate:modelValue": s[0] || (s[0] = (m) => o.value = m)
      }, a.$attrs), {
        default: i(() => [
          n.button ? (c(!0), B(I, { key: 0 }, L(n.options, (m, x) => (c(), f(C, {
            key: x,
            label: m.value,
            onClick: ce((A) => u(m.value, a.$attrs), ["prevent"])
          }, {
            default: i(() => [
              j(J(m.label), 1)
            ]),
            _: 2
          }, 1032, ["label", "onClick"]))), 128)) : (c(!0), B(I, { key: 1 }, L(n.options, (m, x) => (c(), f(g, {
            style: { "margin-top": "2.5px", "margin-bottom": "2.5px" },
            border: n.border,
            key: x,
            label: m.value,
            onClick: ce((A) => u(m.value, a.$attrs), ["prevent"])
          }, {
            default: i(() => [
              j(J(m.label), 1)
            ]),
            _: 2
          }, 1032, ["border", "label", "onClick"]))), 128))
        ]),
        _: 1
      }, 16, ["modelValue"]);
    };
  }
}), bt = { name: "MyUpload" }, _t = /* @__PURE__ */ q({
  ...bt,
  props: {
    butName: null,
    listType: null,
    showFileList: { type: Boolean },
    URL: null
  },
  setup(n) {
    return (e, t) => {
      const o = p("el-button"), u = p("plus"), a = p("el-icon"), s = p("el-image"), C = p("el-upload");
      return c(), f(C, Y({
        style: { width: "100%" },
        listType: n.listType,
        showFileList: n.showFileList
      }, e.$attrs), {
        default: i(() => [
          n.listType !== "picture-card" ? (c(), f(o, {
            key: 0,
            type: "primary"
          }, {
            default: i(() => [
              j(J(n.butName || "上传文件"), 1)
            ]),
            _: 1
          })) : Q("", !0),
          n.listType === "picture-card" ? (c(), B(I, { key: 1 }, [
            n.URL ? (c(), f(s, {
              key: 1,
              src: n.URL,
              fit: "contain"
            }, null, 8, ["src"])) : (c(), f(a, { key: 0 }, {
              default: i(() => [
                v(u)
              ]),
              _: 1
            }))
          ], 64)) : Q("", !0)
        ]),
        _: 1
      }, 16, ["listType", "showFileList"]);
    };
  }
}), yt = [
  //
  ut,
  st,
  dt,
  mt,
  Ct,
  gt,
  _t
], Et = {
  install: (n, e) => {
    n.component(pe.name, pe), n.directive("Auth", ot), Object.values(yt).forEach((t) => {
      n.component(t.name, t);
    }), e.axiosService || console.error("未传入axios.create()可能会导致请求出现错误"), N.InitGlobalConfig(e);
  }
};
export {
  Me as ComponentConfig,
  N as CrudContext,
  He as CrudFunction,
  Oe as DataStorage,
  Et as default
};
